%Function to find node id of QT if position is known
function id = QT_findNodeId(x,y,xMin,xMax,yMin,yMax,drevo)

node=0;
id=1;
% find node for known transition

if(x<xMin||x>xMax||y<yMin||y>yMax)
 %pause(1);
 h=msgbox('Sorry, Selected point is not in the QuadTree area!','warn');
 uiwait(h,5);
 return;   
end


while (node==0)        % until node is find
    % select sucessor node until commnmig to the leaf  
    if(drevo(id).type==0)
        node=id;
    else
        flagNarobe=1;
        for (i=drevo(id).branches)  % select correct branch - successor 
            xMin=drevo(i).boundingPoints(1);
            xMax=drevo(i).boundingPoints(2);
            yMin=drevo(i).boundingPoints(3);
            yMax=drevo(i).boundingPoints(4);
            if(x>xMin && x<xMax && y>yMin && y<yMax)
                id=i;
                break;
            end
        end %for
    end %if(drevo(id).type==0)     
end %while
